### Method

# GdkPixbuf Pixbuf save_to_streamv

#### Declaration [src]

    gboolean
    gdk_pixbuf_save_to_streamv (
      GdkPixbuf* pixbuf,
      GOutputStream* stream,
      const char* type,
      char** option_keys,
      char** option_values,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Saves `pixbuf` to an output stream.

Supported file formats are currently “jpeg”, “tiff”, “png”, “ico” or “bmp”.

See `gdk_pixbuf_save_to_stream()` for more details.

Available since: | 2.36

#### Parameters

`stream` | `GOutputStream`
| A `GOutputStream` to save the pixbuf to.
| The data is owned by the caller of the function.
`type` | `const char*`
| Name of file format.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`option_keys` | An array of `utf8`
| Name of options to set.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`option_values` | An array of `utf8`
| Values for named options.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable` object, `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the pixbuf was saved successfully, `FALSE` if an error was set.